package com.ruoyi.app.service;

import com.ruoyi.app.domain.AppWave;

import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author ruoyi
 * @date 2025-01-14
 */
public interface IAppWaveService
{
    /**
     * 查询【请填写功能名称】
     *
     * @param waveId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public AppWave selectAppWaveByWaveId(String waveId);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param appWave 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<AppWave> selectAppWaveList(AppWave appWave);

    /**
     * 新增【请填写功能名称】
     *
     * @param appWave 【请填写功能名称】
     * @return 结果
     */
    public int insertAppWave(AppWave appWave);

    /**
     * 修改【请填写功能名称】
     *
     * @param appWave 【请填写功能名称】
     * @return 结果
     */
    public int updateAppWave(AppWave appWave);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param waveIds 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteAppWaveByWaveIds(String[] waveIds);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param waveId 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteAppWaveByWaveId(String waveId);
}
